Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • VibeCraft
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] Get Lakehouse operation
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. LakehouseOperations
  4. 🚧 [Experimental] Get Lakehouse operation
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Get Lakehouse operation

Returns the status and result of an asynchronous Lakehouse operation.

RequestRequest

POST

https://api.datalens.tech/rpc/getLakehouseOperation

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "operationId": "example"
}

Name

Description

operationId

Type: string

ID of the operation to return.

Min length: 1

Max length: 50

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdBy": "example",
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "done": true,
  "metadata": {},
  "error": {
    "code": 0.5,
    "message": "example",
    "details": [
      null
    ]
  },
  "response": {}
}

Name

Description

done

Type: boolean

Whether the operation has completed.

id

Type: string

Unique ID of the operation.

Example: example

metadata

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation metadata.

Example
{}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the operation creator.

Example: example

description

Type: string

Description of the operation.

Example: example

error

Type: object

code

Type: number

Operation error code.

message

Type: string

Operation error message.

Example: example

details

Type: unknown[]

Additional operation error details.

Example
[
  null
]

Operation error, if the operation failed.

Example
{
  "code": 0.5,
  "message": "example",
  "details": [
    null
  ]
}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was last modified.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

response

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation response.

Example
{}

Была ли статья полезна?

Предыдущая
Overview
Следующая
Аудитные логи Audit Trails
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»